Robotics Systems Types - Tasks #1302
Improve documentation of rst.vision.Image type
12/15/2012 01:27 PM - J. Moringen

Status: Resolved Start date: 12/15/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: documentation Estimated time: 0.00 hour
Target version: rsb-0.9

Description

The documentation is very incomplete and far from being usable without reading the corresponding code.

Associated revisions

Revision 376363d1 - 12/15/2012 01:28 PM - J. Moringen

Improved documentation in proto/stable/rst/vision/Image.proto

refs #1302

- proto/stable/rst/vision/Image.proto: slightly extended and improved

documentation

Revision 35afb1f5 - 12/15/2012 04:42 PM - J. Moringen

Extended and fixed documentation in proto/stable/rst/vision/Image.proto

refs #1302

- proto/stable/rst/vision/Image.proto: fixed @todo in documentation

string; slightly extended documentation

Revision b5¢c9759e - 07/13/2013 11:09 PM - J. Moringen

Extended documentation of proto/stable/rst/vision/Image.proto

fixes #1302

- proto/stable/rst/vision/Image.proto: added documentation strings for

Image.{ColorMode, width, height, channels, depth, color_mode,
data_order}

History

#1 - 12/15/2012 01:29 PM - J. Moringen
- % Done changed from 0 to 20

All: If you worked with the rst.vision.Image type, and know something that is missing from the documentation, please extend it.

05/13/2024

1/2




#2 - 07/13/2013 11:13 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100

Applied in changeset rst-proto|commit:b5c9759efa78f0e15b98972e55cb95e34da1d1f6.
